#include <QApplication>
#include <QMainWindow>
#include <QObject>
#include <QWidget>
#include <QVBoxLayout>
#include <QtWebEngineWidgets/QWebEngineView>

#include "SimplePage.h"
#include "MainWindow.h"

MainWindow::MainWindow(QWidget *parent)
  : QMainWindow(parent)
{
    QVBoxLayout* layout = new QVBoxLayout();
    QWebEngineView * view = new QWebEngineView(this);
    view->setPage(new SimplePage(view));
    layout->addWidget(view);
    view->setFixedSize(QSize(450,250));
    setLayout(layout);
}

